Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 724174 - sys-libs/libnih-1.0.3-r4 stabilisation
Summary: sys-libs/libnih-1.0.3-r4 stabilisation
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL:
Whiteboard:
Keywords: CC-ARCHES
Depends on:
Blocks: EAPI4Removal
  Show dependency tree
 
Reported: 2020-05-19 21:33 UTC by Andreas Sturmlechner
Modified: 2020-10-25 23:46 UTC (History)
1 user (show)

See Also:
Package list:
sys-libs/libnih-1.0.3-r4
Runtime testing required: ---
nattka: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Sturmlechner gentoo-dev 2020-05-19 21:33:28 UTC
Arches please stabilise.
Comment 1 Agostino Sarubbo gentoo-dev 2020-05-20 16:34:37 UTC
This is an automatic message.

@maintainer(s):
I'm getting test-failure(s) (that were already reported) on s390. If you want the package to pass my CI environment and got stabilized, please carry out the necessary operations to make sure that src_test() won't fail.
Thanks.
Comment 2 Andreas Sturmlechner gentoo-dev 2020-05-20 16:45:06 UTC
Errors are the same as in -r3.
Comment 3 Sergei Trofimovich gentoo-dev 2020-05-22 08:25:44 UTC
ppc64 stable
Comment 4 Sergei Trofimovich gentoo-dev 2020-05-25 09:45:22 UTC
ppc stable
Comment 5 Sergei Trofimovich gentoo-dev 2020-05-30 19:48:27 UTC
hppa stable
Comment 6 Sergei Trofimovich gentoo-dev 2020-07-25 08:56:48 UTC
sparc stable
Comment 7 Sam James archtester gentoo-dev Security 2020-09-01 00:10:18 UTC
arm done
Comment 8 Sam James archtester gentoo-dev Security 2020-09-01 00:10:37 UTC
Ignoring failures in bug 727470 as they are in -r3 too.
Comment 9 Sam James archtester gentoo-dev Security 2020-09-01 00:56:37 UTC
arm64 done
Comment 10 Sam James archtester gentoo-dev Security 2020-09-04 03:43:38 UTC
amd64 done
Comment 11 Larry the Git Cow gentoo-dev 2020-10-25 23:45:13 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=839db4f0e63e5e2a7912cd44ab5ad789918d1445

commit 839db4f0e63e5e2a7912cd44ab5ad789918d1445
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2020-10-25 23:44:43 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2020-10-25 23:45:08 +0000

    sys-libs/libnih: cleanup old EAPI 4
    
    Closes: https://bugs.gentoo.org/724174
    Package-Manager: Portage-3.0.8, Repoman-3.0.2
    Signed-off-by: Sam James <sam@gentoo.org>

 sys-libs/libnih/libnih-1.0.3-r3.ebuild | 49 ----------------------------------
 1 file changed, 49 deletions(-)

Additionally, it has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5658ac3628f5aee9ce3fb18a6a01a4b6b7290f0a

commit 5658ac3628f5aee9ce3fb18a6a01a4b6b7290f0a
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2020-10-25 23:44:15 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2020-10-25 23:45:07 +0000

    sys-libs/libnih: forward stable keywords to -r4
    
    Done with some reluctance, but this package is dead anyway.
    The failures aren't a regression r3 -> r4 anyhow.
    
    Bug: https://bugs.gentoo.org/724174
    Package-Manager: Portage-3.0.8, Repoman-3.0.2
    Signed-off-by: Sam James <sam@gentoo.org>

 sys-libs/libnih/libnih-1.0.3-r4.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)